#if !defined(AFX_APLPROPSVIEW_H__92CA2B1D_0D51_4D02_A450_FF5F9B203B1F__INCLUDED_)
#define AFX_APLPROPSVIEW_H__92CA2B1D_0D51_4D02_A450_FF5F9B203B1F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplPropsView.h : header file
//
#include "apl_gui.h"
#include "apl_api.h"
/////////////////////////////////////////////////////////////////////////////
// CaplPropsView view

class CaplPropsView : public CMultiColumnSortListView
{
protected:
	CaplPropsView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CaplPropsView)

// Attributes
public:
	bool			m_bFirstTimeActivate;

// Operations
public:

	CaplAPI*		m_api;

	CaplInstance*	m_inst;

	virtual	BOOL	InitColumns(void);
	virtual BOOL	InitView(void);
	virtual BOOL	LoadData(void);
	virtual BOOL	FillList(void);

	virtual void	OnBAdd(void);
	virtual void	OnBDel(void);
	virtual void	OnBProps(void);

	void			SetBtnsHandles(CaplButton* pAdd,CaplButton* pDel,CaplButton* pProps);

	virtual void	ChangeCtrlsState(void);
	
protected:
	
	CaplButton*		m_pAdd;
	CaplButton*		m_pDel;
	CaplButton*		m_pProps;

	aplExtent		m_aeItems;

	virtual BOOL	_FillItem(int iPos,CaplInstance* ciIn);
	
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplPropsView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CaplPropsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CaplPropsView)
	afx_msg int OnMouseActivate(CWnd* pDesktopWnd, UINT nHitTest, UINT message);
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclk(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLPROPSVIEW_H__92CA2B1D_0D51_4D02_A450_FF5F9B203B1F__INCLUDED_)
